<?php



namespace WpieApp\Core\Admin;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class PluginAttr {

        
        public static function init() {

                // Add plugin action links.
                \add_filter( 'plugin_row_meta', [ __CLASS__, 'pluginRowMeta' ], 10, 2 );

                \add_filter( 'plugin_action_links_' . WPIE_BASENAME, [ __CLASS__, 'pluginActionLinks' ] );
        }

        
        public static function pluginActionLinks( $links = [] ) {

                $plugin_links = [];

                if ( !WPIE_PRO ) {
                        /* translators: %s: Pro URL */
                        $plugin_links[] = sprintf( '<a target="_blank" class="wpie-plugin-attr-links" href="%s">' . \esc_html__( 'Upgrade to Pro', 'wp-import-export' ) . '</a>', WPIE_PRO_URL );
                }
                /* translators: %s: Export Page URL */
                $plugin_links[] = sprintf( '<a href="%s">' . \esc_html__( 'Export', 'wp-import-export' ) . '</a>', Helper::adminUrl( 'wpie-export' ) );

                /* translators: %s: Import Page URL */
                $plugin_links[] = sprintf( '<a href="%s">' . \esc_html__( 'Import', 'wp-import-export' ) . '</a>', Helper::adminUrl( 'wpie-import' ) );

                return array_merge( $plugin_links, $links );
        }

        
        public static function pluginRowMeta( $plugin_meta = [], $plugin_file = "" ) {

                if ( WPIE_BASENAME === $plugin_file ) {
                        $row_meta = [
                                'docs'    => '<a href="' . esc_url( WPIE_DOC_URL ) . '" aria-label="' . esc_attr( __( 'View Documentation', 'wp-import-export' ) ) . '" target="_blank">' . esc_html__( 'Documentation', 'wp-import-export' ) . '</a>',
                                'support' => '<a href="' . esc_url( WPIE_SUPPORT_URL ) . '" aria-label="' . esc_attr( __( 'Get Support', 'wp-import-export' ) ) . '" target="_blank">' . esc_html__( 'Support', 'wp-import-export' ) . '</a>',
                        ];

                        $plugin_meta = array_merge( $plugin_meta, $row_meta );
                }

                return $plugin_meta;
        }
}
