<?php



namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Nonce {

        
        private static $nonceName = 'wpie-security';

        
        public static function getNonceName() {
                return self::$nonceName;
        }

        
        public static function getNonce() {
                return \wp_create_nonce( self::$nonceName );
        }

        
        public static function verifyNonce() {

                $nonce = Helper::sanitizeiKey( Helper::_post( self::$nonceName ) );

                if ( Helper::isEmptyStr( $nonce ) ) {
                        return false;
                }

                return \wp_verify_nonce( $nonce, self::$nonceName ) !== false;
        }

}
