<?php



namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Param {

        
        public static function _get( $option = "", $default = null ) {

                if ( Helper::isEmptyStr( $option ) ) {
                        return $default;
                }

                $parts = Helper::strToArr( $option, '/' );

                // phpcs:ignore WordPress.Security.ValidatedSanitizedInput.InputNotSanitized -- Escaping data when it's used. Escaping for HTML will break functionality.
                $data = $_GET;

                foreach ( $parts as $part ) {

                        if ( isset( $data[ $part ] ) ) {
                                $data = $data[ $part ];
                        } else {
                                $data = null;
                                break;
                        }
                }

                $data = Helper::isEmpty( $data ) ? $default : $data;

                
                return \apply_filters( 'Wpie/Post/Options', $data, $option );
        }

        
        public static function _post( $option = "", $default = null ) {

                if ( Helper::isEmptyStr( $option ) ) {
                        return $default;
                }

                $parts = Helper::strToArr( $option, '/' );
                // Escaping data when it's used. Escaping for HTML will break functionality.
                // phpcs:ignore WordPress.Security.ValidatedSanitizedInput.InputNotSanitized 
                $data  = $_POST;

                foreach ( $parts as $part ) {

                        if ( isset( $data[ $part ] ) ) {
                                $data = $data[ $part ];
                        } else {
                                $data = null;
                                break;
                        }
                }

                $data = Helper::isEmpty( $data ) ? $default : \wp_unslash( $data );

                
                return \apply_filters( 'Wpie/Post/Options', $data, $option );
        }

        
        public static function _server( $option = "", $default = null ) {
                // Passing through several layers of sanitization functions
                // phpcs:ignore WordPress.Security.ValidatedSanitizedInput.InputNotSanitized
                return isset( $_SERVER[ $option ] ) ? Helper::sanitizeText( \wp_unslash( $_SERVER[ $option ] ) ) : $default;
        }
}
