<?php

namespace WpieApp\Core\Office\Reader\Json;

use WP_Error;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Reader {

        
        public static function read( $source = "", $assoc = true ) {

                if ( !Helper::isNonEmptyStr( $source ) || !Helper::getFilesystem()->exists( $source ) ) {

                        return new WP_Error( 'wpie_import_error', __( 'Json file not is exist', 'wp-import-export' ) );
                }
                if ( !\is_readable( $source ) ) {

                        return new WP_Error( 'wpie_import_error', __( 'Json file not is readable', 'wp-import-export' ) );
                }

                if ( filesize( $source ) === 0 ) {

                        return new WP_Error( 'wpie_import_error', __( 'Json file is empty', 'wp-import-export' ) );
                }

                $data = Helper::jsonDecode( Helper::getFilesystem()->get_contents( $source ), $assoc );

                if ( $data === false || \is_wp_error( $data ) || ( $assoc && !Helper::isNonEmptyArray( $data )) || (!$assoc && Helper::isEmpty( $data )) ) {
                        return new WP_Error( 'wpie_import_error', __( 'Invalid json file', 'wp-import-export' ) );
                }

                return $data;
        }
}
