<?php

namespace WpieApp\Core\Office\Reader\XML;

use WpieApp\Core\Helpers\Helper;
use XMLReader;

defined( 'WPIE__FILE__' ) || exit;


class XmlTags extends FileReader {

        
        protected $data = [];

        
        public function getTags() {

                $this->data = [];

                $path = "";

                while ( $read = $this->canRead() ) {

                        //$this->processData( $path );

                        if ( self::ELEMENT !== $this->nodeType ) {
                                continue;
                        }

                        $this->addPath();

                        $path = $this->getPath();

                        $this->addTag( $path );

                        $this->processAttributes( $path );
                }

                arsort( $this->data );

                return $this->data;
        }

        
        public function getFilterElements() {

                $this->data = [];

                while ( $this->nextNode() ) {

                        $this->reset();

                        $this->getFilterTags();
                }

                if ( Helper::isNonEmptyArray( $this->data ) ) {

                        arsort( $this->data );
                } else {
                        $roots      = explode( '/', $this->root );
                        $this->data = [ end( $roots ) => 1 ];
                }
                return $this->data;
        }

        
        public function getFilterTags() {

                $path = "";

                while ( $read = $this->canRead() ) {

                        if ( self::END_ELEMENT === $this->nodeType && $this->root === $this->getPath() ) {
                                break;
                        }

                        if ( self::ELEMENT !== $this->nodeType ) {
                                continue;
                        }

                        $this->addPath();

                        $path = $this->getNodePath();

                        $this->addTag( $path );

                        $this->processAttributes( $path );
                }
        }

        
        public function getNodePath() {

                $path = parent::getPath();

                $this->nodesCounter[ $path ] = isset( $this->nodesCounter[ $path ] ) ? $this->nodesCounter[ $path ] + 1 : 1;

                $path = $this->nodesCounter[ $path ] > 1 ? $path . "[" . $this->nodesCounter[ $path ] . "]" : $path;

                $path = substr( $path, strlen( $this->root ) + 1 );

                return $path;
        }

        
//	private function processData( $path = "" ) {
//
//		if ( !in_array( $this->nodeType, [ self::TEXT, self::CDATA ] ) ) {
//			return;
//		}
//		$this->addTag( $path );
//	}

        
        private function addTag( $tag = "" ) {

                if ( !Helper::isNonEmptyStr( $tag ) ) {
                        return;
                }

                $this->data[ $tag ] = isset( $this->data[ $tag ] ) ? $this->data[ $tag ] + 1 : 1;
        }

        
        private function processAttributes( $path = "" ) {

                if ( !$this->hasAttributes ) {
                        return;
                }

                while ( $this->moveToNextAttribute() ) {
                        $this->addTag( $path . '/@' . $this->name );
                }
        }
}
