<?php




namespace WpieApp\Core\Page;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Template {

        
        const DEFAULT_TEMPLATE = "Standard";

        
        public static function render() {

                $template = self::getTemplate( Page::getTemplate() );

                if ( !Helper::isNonEmptyStr( $template ) ) {
                        $template = self::DEFAULT_TEMPLATE;
                }

                $templateClass = __NAMESPACE__ . "\\Templates\\{$template}\\Manager";

                $templateClass::render();
        }

        
        public static function getTemplate( $template = self::DEFAULT_TEMPLATE ) {

                if ( !Helper::isNonEmptyStr( $template ) ) {
                        return self::DEFAULT_TEMPLATE;
                }

                $activeTemplate = "";

                $findTemplatesClasses = glob( __DIR__ . '/Templates/*/Manager.php' );

                $templateDir = str_replace( '\\', '/', realpath( __DIR__ . '/Templates' ) );

                foreach ( $findTemplatesClasses as $templatesClasses ) {
                        $templatesClasses = str_replace( '\\', '/', realpath( $templatesClasses ) );

                        $getTemplateName = substr( $templatesClasses, strlen( rtrim( $templateDir, '/' ) ) + 1 );
                        $getTemplateName = explode( '/', $getTemplateName );

                        $templateName = $getTemplateName[ 0 ];

                        if ( $template !== $templateName ) {
                                continue;
                        }

                        $templatesClassesName = __NAMESPACE__ . "\\Templates\\{$templateName}\\Manager";

                        if ( !class_exists( $templatesClassesName ) ) {
                                continue;
                        }

                        $activeTemplate = $templateName;

                        break;
                }

                return $activeTemplate;
        }

}
