<?php




namespace WpieApp\Core\Parser;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Snippet {

	
	const REGEX = '/{([^{}]+)}/';

	
	public static function parse( $string = "" ) {

		if ( Helper::isEmptyStr( $string ) ) {
			return [];
		}

		$snippets = [];

		preg_match_all( self::REGEX, $string, $snippets );

		if ( is_array( $snippets ) && $snippets[ 1 ] ) {
			$snippets = array_filter( $snippets[ 1 ] );
		} else {
			$snippets = [];
		}

		if ( !Helper::isNonEmptyArray( $snippets ) ) {
			return [];
		}

		$data = [];

		foreach ( $snippets as $snippet ) {

			$snippet = trim( $snippet, "{}" );

			if ( Helper::isNonEmptyStr( $snippet ) ) {
				$data[] = $snippet;
			}
		}

		if ( Helper::isNonEmptyArray( $data ) ) {
			$data = array_unique( $data );
		}

		return $data;
	}

}
