<?php



namespace WpieApp\Extensions\Base;

use WpieApp\Extensions\Assets;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Middleware {

        
        protected $requiredPlugins = [];

        
        public function __construct() {

                if ( !$this->haveRequiredPlugins() ) {
                        return;
                }

                if ( method_exists( $this, 'boot' ) ) {
                        $this->boot();
                }

                if ( method_exists( $this, 'getAssets' ) ) {
                        Assets::add( $this->getAssets() );
                }
        }

        
        private function haveRequiredPlugins() {

                if ( !Helper::isNonEmptyArray( $this->requiredPlugins ) ) {
                        return true;
                }

                $hasRequiredPlugin = true;

                foreach ( $this->requiredPlugins as $plugin => $version ) {

                        if ( !Helper::hasRequiredPlugin( $plugin, $version ) ) {
                                $hasRequiredPlugin = false;
                                break;
                        }
                }

                return $hasRequiredPlugin;
        }
}
