<?php



namespace WpieApp\Extensions\Export\Acf\Controller;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Acf\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Export\Acf\Controller\Items\Taxonomy\Manager as Taxonomy;
use WpieApp\Extensions\Export\Acf\Controller\Items\User\Manager as User;
use WpieApp\Extensions\Export\Acf\Controller\Items\Comment\Manager as Comment;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Post/Init', [ __CLASS__, 'initPost' ], 1, 2 );

                \add_action( 'Wpie/Export/Taxonomy/Init', [ __CLASS__, 'initTaxonomy' ], 1, 2 );

                \add_action( 'Wpie/Export/User/Init', [ __CLASS__, 'initUser' ], 1, 2 );
                
                \add_action( 'Wpie/Export/Comment/Init', [ __CLASS__, 'initComment' ], 1, 2 );
        }

        
        public static function initPost( $contentType = '', $category = '' ) {

                Post::init();
        }

        
        public static function initTaxonomy( $contentType = '', $category = '' ) {
                Taxonomy::init();
        }

        
        public static function initUser( $contentType = '', $category = '' ) {
                User::init();
        }
        
        public static function initComment( $contentType = '', $category = '' ) {
                Comment::init();
        }

}
