<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Standard as TaxonomyStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends TaxonomyStandard implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'Term ID', 'type' => parent::FIELD_TYPE, 'element' => 'term_id' ],
                                [ 'label' => 'Term Name', 'type' => parent::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Term Slug', 'type' => parent::FIELD_TYPE, 'element' => 'slug' ],
                                [ 'label' => 'Term Description', 'type' => parent::FIELD_TYPE, 'element' => 'description' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Attribute/Fields/Standard', $fields );
        }

}
