<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Utils\User;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund\RefundData;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund\Item as RefundItems;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund\Fee as RefundFee;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund\Shipping as RefundShipping;

defined( 'WPIE__FILE__' ) || exit;


class Refund extends Base {

        
        private static $emails = [];

        
        private static $refunds = [];

        
        private static $orderId = 0;

        
        public static function get( $element = "" ) {

                self::setItems();

                return self::getItems( $element );
        }

        
        private static function getItems( $element = "" ) {

                if ( !Helper::isNonEmptyArray( self::$refunds ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$refunds as $refund ) {

                        switch ( $element ) {

                                case 'amount':
                                case 'reason':
                                case 'date':
                                case 'author_email':
                                        $data[] = RefundData::get( $element, $refund );
                                        break;
                                case 'items':
                                case 'item_quantity':
                                case 'item_total':
                                case 'item_tax':
                                        $data[] = RefundItems::get( $element, $refund );
                                        break;
                                case 'fee':
                                case 'fee_tax':
                                case 'fee_total':
                                        $data[] = RefundFee::get( $element, $refund );
                                        break;
                                case 'shipping':
                                case 'shipping_tax':
                                case 'shipping_total':
                                        $data[] = RefundShipping::get( $element, $refund );
                                        break;
                        }
                }

                return $data;
        }

        
        private static function setItems() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$orderId = DataCenter::getId();

                self::$refunds = method_exists( DataCenter::getItem(), 'get_refunds' ) ? DataCenter::getItem()->get_refunds() : [];
        }

}
