<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WC_Tax;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Tax extends Base {

        
        private static $items = [];

        
        private static $orderId = 0;

        
        public static function get( $element = "" ) {

                self::setItems();

                return self::getItems( $element );
        }

        
        private static function getItems( $element = "" ) {

                if ( !Helper::isNonEmptyArray( self::$items ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$items as $item ) {

                        switch ( $element ) {

                                case 'name':
                                        $data[] = $item->get_label();
                                        break;
                                case 'rate_code':
                                        $data[] = $item->get_rate_code();
                                        break;
                                case 'rate_class':
                                        $data[] = $item->get_tax_class();
                                        break;
                                case 'rate_percent':
                                        $data[] = method_exists( $item, 'get_rate_percent' ) ? $item->get_rate_percent() : WC_Tax::get_rate_percent( $item->get_rate_id() );
                                        break;
                                case 'tax_total':
                                        $data[] = $item->get_tax_total();
                                        break;
                        }
                }

                return $data;
        }

        
        private static function setItems() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$orderId = DataCenter::getId();

                self::$items = DataCenter::getItem()->get_taxes();
        }
}
