<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Other;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Customer;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Item;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Attribute;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\ProductMeta;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\ProductTaxonomy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Shipping;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Tax;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Coupon;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Fees;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Download;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Note;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Refund;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Meta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/WooCommerce/Order/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/WooCommerce/Order/Fields', parent::get(), $contentType );
        }

        
        public static function getData() {

                return [
                        "standard"       => Standard::get(),
                        "other"          => Other::get(),
                        "customer"       => Customer::get(),
                        "item"           => Item::get(),
                        "item_attribute" => Attribute::get(),
                        "item_meta"      => ProductMeta::get(),
                        "item_taxonomy"  => ProductTaxonomy::get(),
                        "shipping"       => Shipping::get(),
                        "tax"            => Tax::get(),
                        "coupon"         => Coupon::get(),
                        "fees"           => Fees::get(),
                        "download"       => Download::get(),
                        "note"           => Note::get(),
                        "refund"         => Refund::get(),
                        "meta"           => static::getMeta(),
                ];
        }

        
        public static function getMeta() {

                return Meta::get();
        }
}
