<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query\Order;

defined( 'WPIE__FILE__' ) || exit;


class OrderTable extends BaseFilter {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $element = self::mapFields( $element );

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = Order::getTableAlias() . "." . $element;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule );
        }

        
        private static function mapFields( $element ) {

                $mapping = [
                        'total'               => 'total_amount',
                        'customer_ip_address' => 'ip_address',
                        'customer_user_agent' => 'user_agent',
                ];

                return str_replace( array_keys( $mapping ), array_values( $mapping ), $element );
        }
}
