<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Meta as CommentMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends CommentMeta implements InterfaceField {

        
        protected static function getMetaKeys( $contentType = '' ) {

                
                $limit = \apply_filters( 'Wpie/Export/Review/Fields/Meta/Limit', 500 );

                $excludes = self::getExcludesMetaQuery();

                $keys = DB::wpdb()->get_col(
                        DB::wpdb()->prepare(
                                "SELECT DISTINCT `commentmeta`.`meta_key`
				FROM " . DB::wpdb()->commentmeta . " AS `commentmeta`
				LEFT JOIN " . DB::wpdb()->comments . " AS `comments` ON ( `comments`.`comment_ID` = `commentmeta`.`comment_id` )
				WHERE `commentmeta`.`meta_value` != '' AND `comments`.`comment_type` = 'review' $excludes
                                ORDER BY `commentmeta`.`meta_key`
				LIMIT %d",
                                $limit
                        )
                );

                return $keys;
        }

        
        protected static function getExcludesMeta( $contentType = '' ) {

                $excludes = [ 'rating', 'verified' ];
                
                $excludes = apply_filters( 'Wpie/Export/Comment/Fields/Meta/Excludes', $excludes );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }
}
