<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Standard as CommentStandard;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Post as CommentPost;

defined( 'WPIE__FILE__' ) || exit;


class Product implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Product", 'wp-import-export' ),
                        "priority" => 20,
                        "data"     => [
                                [ 'label' => 'Product ID', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_post_ID' ],
                                [ 'label' => 'Product Slug', 'type' => CommentPost::FIELD_TYPE, 'element' => 'post_name', 'isFiltered' => false ],
                                [ 'label' => 'Product Title', 'type' => CommentPost::FIELD_TYPE, 'element' => 'post_title', 'isFiltered' => false ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Review/Fields/Product', $fields );
        }

}
