<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Field as AcfField;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processFields() {

                $fields = Base::getSiteFields();

                foreach ( $fields as $field ) {

                        self::processField( isset( $field[ 'data' ] ) ? $field[ 'data' ] : [] );
                }
        }

        
        public static function processField( $acf ) {

                if ( !Helper::isNonEmptyArray( $acf ) ) {
                        return;
                }

                $labels = Base::getLabels();

                foreach ( $acf as $field ) {

                        $type = isset( $field[ 'type' ] ) ? $field[ 'type' ] : '';

                        if ( 'acf' !== $type ) {
                                continue;
                        }

                        $key = AcfField::getKey( $field );

                        $field[ 'key' ] = $key;

                        $label = isset( $field[ 'label' ] ) ? Helper::sanitizeKey( $field[ 'label' ] ) : '';

                        if ( !Helper::isNonEmptyStr( $label ) || !in_array( $label, $labels ) ) {
                                continue;
                        }

                        Base::update( 'acf/' . $key, $label );
                }
        }
}
