<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\ACF;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        protected static $prefix = '';

        
        public static function init() {

                $data = ACF::get( static::$prefix );

                static::update( $data );
        }

        
        protected static function update( $acf = [] ) {

                if ( !Helper::isNonEmptyArray( $acf ) ) {
                        return;
                }

                $id = static::$prefix . DataCenter::getId();

                if ( function_exists( "\acf_update_values" ) ) {
                        \acf_update_values( $acf, $id );
                } else {
                        foreach ( $acf as $key => $val ) {

                                $field = \apply_filters( 'acf/load_field', false, $key );

                                \do_action( 'acf/update_value', $val, $id, $field );
                        }
                }
        }
}
