<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\Search as Post;
use WpieApp\Modules\Import\Controller\Items\Term\Search as Term;

defined( 'WPIE__FILE__' ) || exit;


class AdvancedLink {

        
        public static function getData( $data = [] ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                $type = isset( $data[ 'type' ] ) ? $data[ 'type' ] : '';

                if ( !Helper::isNonEmptyStr( $type ) ) {
                        return '';
                }


                switch ( $type ) {
                        case 'post':
                                $data[ 'value' ] = self::getPost( $data );
                                break;

                        case 'term':
                                $data[ 'value' ] = self::getTerm( $data );
                                break;
                }

                return $data;
        }

        
        private static function getPost( $data = [] ) {

                $title = isset( $data[ 'name' ] ) ? $data[ 'name' ] : '';

                $postType = isset( $data[ 'post_type' ] ) ? $data[ 'post_type' ] : '';
                
                return Post::getPostIdBy( 'title', $title, $postType );
        }

        
        private static function getTerm( $data = [] ) {

                $id = 0;

                $taxonomy = isset( $data[ 'taxonomy' ] ) ? $data[ 'taxonomy' ] : '';

                $slug = isset( $data[ 'slug' ] ) ? $data[ 'slug' ] : '';

                if ( Helper::isNonEmptyStr( $slug ) ) {
                        $id = Term::getTermIdBy( 'slug', $slug, $taxonomy );
                }

                if ( $id < 1 ) {
                        $name = isset( $data[ 'name' ] ) ? $data[ 'name' ] : '';
                        $id   = Term::getTermIdBy( 'name', $name, $taxonomy );
                }

                return $id;
        }
}
