<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Advanced extends Base {

        
        protected static $fieldTypes = [ 'color_picker', 'date_picker', 'date_time_picker', 'google_map', 'icon_picker', 'time_picker' ];

        
        protected static function getHints( $type = '' ) {

                $hints = parent::getHints( $type );

                switch ( $type ) {

                        case 'color_picker':
                                $hints[] = [ 'text' => __( 'Color code like #FFFFFF', 'wp-import-export' ) ];
                                break;

                        case 'date_picker':
                        case 'date_time_picker':
                                $hints[] = [ 'text' => __( 'Any Date format', 'wp-import-export' ) ];
                                break;

                        case 'google_map':
                        case 'icon_picker':
                                $hints[] = [ 'text' => __( 'Supports only exported data from same plugin', 'wp-import-export' ), 'class' => 'text-danger' ];
                                break;

                        case 'time_picker':
                                $hints[] = [ 'text' => __( 'Time format like 00:00:17', 'wp-import-export' ) ];
                                break;
                }

                return $hints;
        }
}
