<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Basic extends Base {

        
        protected static $fieldTypes = [ 'acfe_button', 'email', 'acfe_hidden', 'number', 'password', 'range', 'acfe_slug', 'text', 'textarea', 'url' ];

        
        protected static function getHints( $type = '' ) {

                $hints = parent::getHints( $type );

                switch ( $type ) {
                        case 'email';
                                $hints[] = [ 'text' => __( 'Enter Valid Email', 'wp-import-export' ) ];
                                break;
                        case 'number';
                                $hints[] = [ 'text' => __( 'Numbers only', 'wp-import-export' ) ];
                                break;
                        case 'range';
                                $hints[] = [ 'text' => __( 'Numbers only', 'wp-import-export' ) ];
                                break;
                        case 'url';
                                $hints[] = [ 'text' => __( 'Valid full url', 'wp-import-export' ) ];
                                break;
                }

                return $hints;
        }
}
