<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class Priority {

        
        public static function getBlocks() {

                $priority = self::getPriority();

                $choices = \array_combine( $priority, $priority );

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Priority', 'wp-import-export' ),
                        "desc"   => __( 'Priority Score', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "priority" => [
                                        "order"      => 5,
                                        "label"      => __( 'Priority', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "priority" => [
                                                        "description"   => __( "SEO Priority Score", 'wp-import-export' ),
                                                        "name"          => "fields/allinoneseo/advanced/priority/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "default"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "priority-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "priority" => [
                                                                                                "name"  => "fields/allinoneseo/advanced/priority/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : default', 'wp-import-export' ) ],
                                                                                                       /* translators: %s: SEO Priority Score */
                                                                                                        [ 'text' => sprintf( __( '%s values are supported', 'wp-import-export' ), \implode( ", ", $priority ) ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
         
    public static function getPriority ()
    {
        return [ "default", "0.0", "0.1", "0.2", "0.3", "0.4", "0.5", "0.6", "0.7", "0.8", "0.9", "1" ];
    }
}
