<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term;

use AIOSEO\Plugin\Pro\Models\Term;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Engines\Social;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term\Engines\General;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term\Engines\Facebook;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term\Engines\Twitter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Term\Engines\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        public static function init() {

                if ( !self::isValidTerm() ) {
                        return;
                }

                Social::init();

                $newData = \array_merge(
                        General::get(),
                        Facebook::get(),
                        Twitter::get(),
                        Advanced::get()
                );

                $existingData = self::getExistingData();

                $skipUpdateData = array_diff_key( $existingData, $newData );

                Term::saveTerm(
                        DataCenter::getId(),
                        \array_merge( $skipUpdateData, $newData )
                );
        }

        
        public static function getExistingData() {

                if ( DataCenter::isNewItem() ) {
                        return [];
                }

                $term = Term::getTerm( DataCenter::getId() );

                return Helper::jsonDecode( Helper::jsonEncode( $term ), true );
        }

        
        public static function isValidTerm() {

                if ( self::isAttribute() ) {
                        return false;
                }

                return true;
        }

        
        public static function isAttribute() {

                if ( 'wc' !== Settings::get( 'category' ) || 'attribute' !== Settings::get( 'content_type' ) ) {
                        return false;
                }

                return true;
        }
}
