<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Languages;

defined( 'WPIE__FILE__' ) || exit;


class Language {

        
        protected static $import;

        
        protected static $current;

        
        protected static $default;

        
        protected static $languages;

        
        public static function set() {

                static::setDefault();

                static::$import = '';

                static::setImport();
        }

        
        public static function update( $language = '' ) {

                if ( is_object( $language ) ) {
                        $lang = isset( $language->slug ) ? $language->slug : '';
                } else {
                        $lang = $language;
                }

                self::$import = $lang;
        }

        
        public static function get() {

                return Helper::isNonEmptyStr( static::$import ) ? static::$import : static::getDefault();
        }

        
        public static function getImport() {

                return static::$import;
        }

        
        public static function setImport() {

                if ( !DataCenter::canUpdate( "polylang/language" ) ) {
                        return;
                }

                $langInput = DataCenter::get( "polylang/language/data" );

                if ( !Helper::isNonEmptyStr( $langInput ) ) {
                        return;
                }

                static::$import = static::search( $langInput );
        }

        
        public static function search( $langInput = '' ) {

                static::setDefault();

                if ( !Helper::isNonEmptyStr( $langInput ) ) {
                        return '';
                }

                $lang = '';

                foreach ( static::$languages as $language ) {

                        $slug   = isset( $language->slug ) ? $language->slug : "";
                        $name   = isset( $language->name ) ? $language->name : "";
                        $locale = isset( $language->locale ) ? $language->locale : "";

                        if ( in_array( $langInput, [ $slug, $name, $locale ] ) ) {
                                $lang = $slug;
                                break;
                        }
                }

                return Helper::isNonEmptyStr( $lang ) ? $lang : '';
        }

        
        protected static function getDefault() {

                if ( Helper::isNonEmptyStr( static::$current ) ) {
                        return static::$current;
                }

                return static::$default;
        }

        
        protected static function setDefault() {

                if ( !is_null( static::$default ) ) {
                        return;
                }

                static::$current = \PLL()->curlang;

                static::$default = \pll_default_language();

                static::$languages = Languages::getList();
        }
}
