<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engine as BaseEngine;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Post\Engines\Translation;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Filters as Term;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines\Language;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Post\Engines\Taxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends BaseEngine {

        
        public static function preProcessing() {

                Taxonomy::$caching = false;

                parent::preProcessing();

                Term::update( static::$language );
        }

        
        public static function setLanguage() {

                if ( !DataCenter::isNewItem() ) {
                        return;
                }

                \PLL()->model->post->set_language( DataCenter::getId(), static::$language );
        }

        
        public static function setTranslation() {

                $translations = self::getTrid();

                if ( !Helper::isNonEmptyArray( $translations ) ) {
                        return;
                }

                \PLL()->model->post->save_translations( DataCenter::getId(), $translations );
        }

        
        protected static function getTrid() {

                if ( !DataCenter::isNewItem() ) {

                        $translations = \PLL()->model->post->get_translations( DataCenter::getId() );

                        if ( is_array( $translations ) && 1 < count( $translations ) ) {
                                return false;
                        }
                }

                $translation = Translation::get();

                return \PLL()->model->post->get_translations( $translation );
        }

        
        protected static function getLanguage() {

                return \PLL()->model->post->get_language( DataCenter::getId() );
        }

        
        protected static function updateLanguage() {

                parent::updateLanguage();

                Term::update( static::$language );
        }
}
