<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Filters {

        
        public static function remove() {

                if ( 'wc' !== Settings::get( 'category' ) || 'product' !== Settings::getContentType() ) {
                        return;
                }
                // Variations synchronization.
                \remove_action( 'add_meta_boxes', [ \PLLWC()->products, 'add_meta_boxes' ], 5 );
                \remove_action( 'woocommerce_update_product', [ \PLLWC()->products, 'save_product' ] );
                \remove_action( 'woocommerce_new_product_variation', [ \PLLWC()->products, 'save_variation' ] );
                \remove_action( 'woocommerce_update_product_variation', [ \PLLWC()->products, 'save_variation' ] );
                \remove_action( 'woocommerce_after_product_object_save', [ \PLLWC()->products, 'copy_product' ] );

                // Filters `get_terms()` in `LookupDataStore::get_term_ids_by_slug_cache()`.
                \remove_action( 'woocommerce_before_product_object_save', [ \PLLWC()->products, 'store_product_data' ] );
                \remove_filter( 'get_terms_args', [ \PLLWC()->products, 'get_terms_args' ], 20 ); // After Polylang and Polylang Pro.
                \remove_action( 'woocommerce_after_product_object_save', [ \PLLWC()->products, 'reset_product_data' ], 5 ); // Before copy_product(), not mandatory though.
                \remove_action( 'woocommerce_run_product_attribute_lookup_update_callback', [ \PLLWC()->products, 'store_product_data' ], 1 ); // To set the language before WC processes the product.

                \remove_action( 'pll_post_synchronized', [ \PLLWC()->products, 'synchronize_product' ], 10 );
                \remove_action( 'pll_created_sync_post', [ \PLLWC()->products, 'copy_variations' ], 5 );

                // Variations deletion.
                \remove_action( 'woocommerce_before_delete_product_variation', [ \PLLWC()->products, 'delete_variation' ] );

                // Unique SKU.
                \remove_action( 'wc_product_has_unique_sku', [ \PLLWC()->products, 'unique_sku' ], 10 );

                // On sale products block.
                \remove_action( 'pll_filter_query_excluded_query_vars', [ \PLLWC()->products, 'fix_on_sale_products_block_query' ], 10 );
        }
}
