<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Filters;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines\Language;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines\Translation as BaseTranslation;

defined( 'WPIE__FILE__' ) || exit;


class Translation extends BaseTranslation {

        
        public static function search( $options = [] ) {

                $lang = isset( $options[ 'lang' ] ) ? Language::search( $options[ 'lang' ] ) : '';

                if ( !Helper::isNonEmptyStr( $lang ) || $lang === Language::getImport() ) {
                        return 0;
                }

                $data = isset( $options[ 'data' ] ) ? $options[ 'data' ] : '';

                $taxonomy = Settings::getTaxonomy();

                return Filters::getTranslation( $lang, $data, $taxonomy );
        }
        
        
        public static function validate( $translation ) {

                 if ( !is_numeric( $translation ) || 1 > \absint( $translation ) ) {
                        return false;
                }
                
                $translations = \PLL()->model->term->get_translations( $translation );

                if ( !is_array( $translations ) ) {
                        return false;
                }

                return !isset( $translations[ Language::getImport() ] );
        }
}
