<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced;

use RankMath\Helper as RankMathHelper;

defined( 'WPIE__FILE__' ) || exit;


class Redirection {

        
        public static function getBlocks() {

                $types = RankMathHelper::choices_redirection_types();

                $hints = array_keys( $types);
                
                $types[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Redirection', 'wp-import-export' ),
                        "desc"   => __( 'SEO Redirection', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "redirect-status"  => [
                                        "order"      => 5,
                                        "label"      => __( 'Redirect', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "redirect-status" => [
                                                        "description"   => __( "SEO Redirect", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/advanced/redirection/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "no"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "redirection-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "redirection" => [
                                                                                                "name"  => "fields/rankmathseo/advanced/redirection/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "textarea",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default: no', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'off, on, yes, no, true, false, 1, 0 all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                                "redirection-type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Redirect Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "redirection-type" => [
                                                        "description"   => __( "SEO Redirect Type", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/advanced/redirection_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $types,
                                                        "choices-class" => [
                                                                "301"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "redirection-type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "redirection-type" => [
                                                                                                "name"  => "fields/rankmathseo/advanced/redirection_type/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : 301', 'wp-import-export' ) ],
                                                                                                        /* translators: %s: SEO Redirect Type */
                                                                                                        [ 'text' =>  sprintf( __( '%s all values are supported', 'wp-import-export' ), implode( ", ", $hints) ), ]
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                                "destination-url"  => [
                                        "order"      => 15,
                                        "label"      => __( 'Destination Url', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "destination-url" => [
                                                        "description" => __( "SEO Destination Url", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/advanced/destination_url/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only url supported. Start with http://', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ]
                        ]
                ];
        }
}
