<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook\Title;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook\Description;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook\Image;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook\EnableImageOverlay;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook\ImageOverlay;

defined( 'WPIE__FILE__' ) || exit;


class Facebook implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'RankMath SEO - Facebook', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-facebook-fields",
                        "order"        => 32.3,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "rankmathseo/facebook/title"                => Title::getBlocks(),
                        "rankmathseo/facebook/description"          => Description::getBlocks(),
                        "rankmathseo/facebook/image"                => Image::getBlocks(),
                        "rankmathseo/facebook/enable_image_overlay" => EnableImageOverlay::getBlocks(),
                        "rankmathseo/facebook/image_overlay"        => ImageOverlay::getBlocks(),
                ];
        }
}
