<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items;

use WC_Coupon;
use WC_Order_Item_Coupon;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Coupon extends Base {

        
        protected static function update() {

                $item = new WC_Order_Item_Coupon( self::$item );

                if ( is_null( self::$item ) ) {
                        $item->set_order_id( DataCenter::getId() );
                }

                if ( isset( self::$data[ 'code' ] ) ) {
                        $item->set_code( self::$data[ 'code' ] );
                }
                if ( isset( self::$data[ 'amount' ] ) ) {
                        $item->set_discount( self::$data[ 'amount' ] );
                }

                if ( isset( self::$data[ 'tax' ] ) ) {
                        $item->set_discount_tax( self::$data[ 'tax' ] );
                }
                if ( is_null( self::$item ) ) {

                        // Add coupon data.
                        self::setShortInfo( $item );
                }

                $id = $item->save();

                unset( $item );

                return $id;
        }

        
        protected static function setShortInfo( $item = null ) {

                // Add coupon data.
                $couponId = \wc_get_coupon_id_by_code( $item->get_code() );

                if ( $couponId < 1 ) {
                        return;
                }

                $coupon = new WC_Coupon( $couponId );

                if ( method_exists( $coupon, 'get_short_info' ) ) {

                        $couponInfo = $coupon->get_short_info();

                        $item->add_meta_data( 'coupon_info', $couponInfo );
                }

                unset( $coupon );
        }

        
        protected static function setItem() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                $items = DataCenter::getItem()->get_items( 'coupon' );

                $code = isset( self::$data[ 'code' ] ) ? self::$data[ 'code' ] : '';

                if ( !Helper::isNonEmptyArray( $items ) || !Helper::isNonEmptyStr( $code ) ) {
                        return;
                }


                foreach ( $items as $item ) {

                        if ( $code === $item->get_code() ) {
                                self::$item = $item;
                                break;
                        }
                }

                unset( $items, $code );
        }
}
