<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Amount;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Reason;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\RefundBy;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Date;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Items;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Quantity;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Total;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Tax as RefundTax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Fee as RefundFee;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\FeeTax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\FeeTotal;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\Shipping as RefundShipping;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\ShippingTax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund\ShippingTotal;

defined( 'WPIE__FILE__' ) || exit;


class Refund implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Refund', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Refund', 'wp-import-export' ),
                        "class"  => "wpie-refund-fields",
                        "order"  => 110,
                        "blocks" => [
                                "refund/options"        => Options::getBlocks(),
                                "refund/amount"         => Amount::getBlocks(),
                                "refund/reason"         => Reason::getBlocks(),
                                "refund/refund-by"      => RefundBy::getBlocks(),
                                "refund/date"           => Date::getBlocks(),
                                "refund/items"          => Items::getBlocks(),
                                "refund/quantity"       => Quantity::getBlocks(),
                                "refund/total"          => Total::getBlocks(),
                                "refund/tax"            => RefundTax::getBlocks(),
                                "refund/fee"            => RefundFee::getBlocks(),
                                "refund/fee-tax"        => FeeTax::getBlocks(),
                                "refund/fee-total"      => FeeTotal::getBlocks(),
                                "refund/shipping"       => RefundShipping::getBlocks(),
                                "refund/shipping-tax"   => ShippingTax::getBlocks(),
                                "refund/shipping-total" => ShippingTotal::getBlocks(),
                        ]
                ];
        }
}
