<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax\Name;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax\Code;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax\RatePercent;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax\TaxTotal;

defined( 'WPIE__FILE__' ) || exit;


class Tax implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Tax', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Tax', 'wp-import-export' ),
                        "class"  => "wpie-tax-fields",
                        "order"  => 100,
                        "blocks" => [
                                "tax/options" => Options::getBlocks(),
                                "tax/name"    => Name::getBlocks(),
                                "tax/code"    => Code::getBlocks(),
                                "tax/percent" => RatePercent::getBlocks(),
                                "tax/total"   => TaxTotal::getBlocks(),
                        ]
                ];
        }

}
