<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Attributes;

use WC_Product_Attribute;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Product;

defined( 'WPIE__FILE__' ) || exit;


class ParentAttributes {

        
        public static function update( $attributes = [] ) {

                if ( !Helper::isNonEmptyArray( $attributes ) ) {
                        return [];
                }

                if ( !Product::getProduct()->is_type( 'variation' ) ) {
                        return [];
                }

                $parent = \wc_get_product( Product::getProduct()->get_parent_id() );

                if ( !is_a( $parent, '\WC_Product_Variable' ) ) {
                        return [];
                }

                $requireSave = false;

                $parentAttributes = $parent->get_attributes( 'edit' );

                foreach ( $attributes as $taxonomy => $attribute ) {

                        if ( !$attribute instanceof WC_Product_Attribute ) {

                                continue;
                        }

                        // Check if attribute handle variations.
                        if ( !isset( $parentAttributes[ $taxonomy ] ) ) {

                                // Re-create the attribute to CRUD save and generate again.
                                $parentAttributes[ $taxonomy ] = $attribute;

                                $requireSave = true;
                        }

                        $values = $parentAttributes[ $taxonomy ]->get_options();

                        $rawValues = $attribute->get_options();

                        // Check if attribute handle variations.
                        if ( array_diff( $rawValues, $values ) ) {

                                // Re-create the attribute to CRUD save and generate again.
                                $parentAttributes[ $taxonomy ]->set_options( array_unique( array_merge( $values, $rawValues ) ) );

                                $requireSave = true;
                        }

                        // Check if attribute handle variations.
                        if ( !$parentAttributes[ $taxonomy ]->get_variation() ) {

                                $parentAttributes[ $taxonomy ]->set_variation( 1 );
                                $requireSave = true;
                        }
                }

                // Save variation attributes.
                if ( $requireSave ) {

                        //for reset attributes. Update will not work without reset
                        $parent->set_attributes( [] );

                        $parent->set_attributes( $parentAttributes );

                        $parent->save();
                }

                unset( $parent, $requireSave );

                return $parentAttributes;
        }

}
