<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Attributes;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;

defined( 'WPIE__FILE__' ) || exit;


class Search {

        
        private static $cache = [];

        
        public static function get( $name = '', $slug = '' ) {

                if ( !Helper::isNonEmptyStr( $name ) && !Helper::isNonEmptyStr( $slug ) ) {
                        return 0;
                }

                $cacheId = self::getCache( $name, $slug );

                if ( $cacheId > 0 ) {
                        return $cacheId;
                }

                $attributes = \wc_get_attribute_taxonomies();

                if ( !Helper::isNonEmptyArray( $attributes ) ) {
                        return 0;
                }

                $attributeId = 0;

                foreach ( $attributes as $attribute ) {

                        $attributeName = isset( $attribute->attribute_label ) ? $attribute->attribute_label : '';

                        $id = isset( $attribute->attribute_id ) ? $attribute->attribute_id : 0;

                        if ( Helper::isNonEmptyStr( $name ) && $attributeName === $name ) {
                                $attributeId                     = $id;
                                self::$cache[ 'name' ] [ $name ] = $id;
                                break;
                        }

                        $attributeslug = isset( $attribute->attribute_name ) ? $attribute->attribute_name : '';

                        if ( Helper::isNonEmptyStr( $slug ) && $attributeslug === $slug ) {
                                $attributeId                     = $id;
                                self::$cache[ 'slug' ] [ $slug ] = $id;
                                break;
                        }
                }

                return $attributeId;
        }

        
        private static function getCache( $name = '', $slug = '' ) {

                if ( !isset( self::$cache[ 'name' ] ) ) {
                        self::$cache[ 'name' ] = [];
                }
                if ( Helper::isNonEmptyStr( $name ) && isset( self::$cache[ 'name' ][ $name ] ) ) {
                        return self::$cache[ 'name' ] [ $name ];
                }

                if ( !isset( self::$cache[ 'slug' ] ) ) {
                        self::$cache[ 'slug' ] = [];
                }

                if ( Helper::isNonEmptyStr( $slug ) && isset( self::$cache[ 'slug' ][ $slug ] ) ) {
                        return self::$cache[ 'slug' ] [ $slug ];
                }

                return 0;
        }

}
