<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Downloadable {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "downloadable/downloadable" ) ) {

                        $data[ 'downloadable' ] = (true === Helper::detectBoolVal( DataCenter::get( "downloadable/downloadable/data" ) ) ? 'yes' : 'no');
                }

                if ( DataCenter::isNewItem() && !isset( $data[ 'downloadable' ] ) ) {
                        return $data;
                }


                if ( DataCenter::canUpdate( "downloadable/limit" ) ) {

                        $data[ 'download_limit' ] = Helper::toNumber( DataCenter::get( "downloadable/limit/data" ) );
                }
                if ( DataCenter::canUpdate( "downloadable/expiry" ) ) {

                        $data[ 'download_expiry' ] = Helper::toNumber( DataCenter::get( "downloadable/expiry/data" ) );
                }
                if ( DataCenter::canUpdate( "downloadable/files" ) ) {

                        $data[ 'downloads' ] = self::getFiles();
                }

                return $data;
        }

        
        private static function getFiles() {

                $data = [];

                $urlsData      = DataCenter::get( "downloadable/files/urls" );
                $namesData     = DataCenter::get( "downloadable/files/name" );
                $separatorData = DataCenter::get( "downloadable/files/separator" );

                if ( !Helper::isNonEmptyStr( $urlsData ) ) {
                        return $data;
                }

                $separator = Helper::isNonEmptyStr( $separatorData ) ? $separatorData : ',';

                $urls = Helper::strToArr( $urlsData, $separator );

                $names = Helper::strToArr( $namesData, $separator );

                foreach ( $urls as $key => $url ) {

                        $data[] = [
                                'download_id' => null,
                                'name'        => isset( $names[ $key ] ) ? $names[ $key ] : \wc_get_filename_from_url( $url ),
                                'file'        => $url,
                        ];
                }


                return $data;
        }

}
