<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WC_Tax;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class General {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "general/tax-status" ) ) {
                        $status               = DataCenter::get( "general/tax-status/data" );
                        $data[ 'tax_status' ] = Helper::autoFixStr( $status, [ 'taxable', 'shipping', 'none' ] );
                }
                if ( DataCenter::canUpdate( "general/tax-class" ) ) {
                        $taxClasses          = WC_Tax::get_tax_class_slugs();
                        $taxClass            = DataCenter::get( "general/tax-class/data" );
                        $data[ 'tax_class' ] = Helper::autoFixStr( $taxClass, $taxClasses );
                }

                if ( DataCenter::canUpdate( "general/product-url" ) ) {
                        $data[ 'product_url' ] = \esc_url_raw( DataCenter::get( "general/product-url/data" ) );
                }
                if ( DataCenter::canUpdate( "general/button-text" ) ) {
                        $data[ 'button_text' ] = DataCenter::get( "general/button-text/data" );
                }

                return $data;
        }

}
