<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Variations;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Variation;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines\Product;

defined( 'WPIE__FILE__' ) || exit;


class AllVariations {

        
        public static function create() {

                $children = Product::getProduct()->get_children();

                $dataStore = Product::getProduct()->get_data_store();

                if ( !is_callable( [ $dataStore, 'create_all_product_variations' ] ) ) {
                        Logger::log( "<strong>" . __( "ERROR", 'wp-import-export' ) . "</strong> : " . __( "create_all_product_variations Method not found", 'wp-import-export' ) );
                        return false;
                }

                $dataStore->create_all_product_variations( Product::getProduct() );

                $dataStore->sort_all_product_variations( DataCenter::getId() );

                Product::resetProduct();

                $updatedChildren = Product::getProduct()->get_children();

                Variation::updateFromParent( Helper::isNonEmptyArray( $children ) ? array_unique( array_merge( $children, $updatedChildren ) ) : $updatedChildren );

                unset( $dataStore, $children, $updatedChildren );
        }
}
