<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\ExistingItemsFields\Standard as PostStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends PostStandard {

        
        public static function getFields() {

                $postType = Settings::getContentLabel();

                $fields = parent::getFields();

                //           $fields[ 'hints' ][ 'auto' ] = __( "Work Only if Title, Content, Slug or SKU data provided in Field Mapping Step", 'wp-import-export' );

                $fields[ 'choices' ][ 'sku' ] = __( "SKU", 'wp-import-export' );

                 /* translators: %s: Post type */
                $fields[ 'hints' ][ 'sku' ] = sprintf( __( "Search %s by SKU", 'wp-import-export' ), $postType );

                $fields[ 'fields' ][ 'sku' ] = [
                        "product-sku" => [
                                "order"      => 5,
                                "sub-fields" => [
                                        "sku" => [
                                                "type"        => "textarea",
                                                "order"       => 10,
                                                "name"        => "fields/search/sku",
                                                /* translators: %s: Post type */
                                                "placeholder" => sprintf( __( "Enter %s sku here...", 'wp-import-export' ), $postType ),
                                                "description" => __( 'Leave empty for auto get sku value from Field Mapping steps', 'wp-import-export' ),
                                        ]
                                ]
                        ]
                ];

                return $fields;
        }

}
