<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable\Downloadable as IsDownloadable;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable\Files;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable\Limit;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable\Expiry;

defined( 'WPIE__FILE__' ) || exit;


class Downloadable implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Downloadable', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Downloadable', 'wp-import-export' ),
                        "class"  => "wpie-wc-downloadable-fields",
                        "order"  => 12.08,
                        "blocks" => [
                                "downloadable/downloadable" => IsDownloadable::getBlocks(),
                                "downloadable/files"        => Files::getBlocks(),
                                "downloadable/limit"        => Limit::getBlocks(),
                                "downloadable/expiry"       => Expiry::getBlocks(),
                        ]
                ];
        }

}
