<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping;

use WpieApp\Modules\Import\Controller\Settings;
use Automattic\WooCommerce\Utilities\I18nUtil;

defined( 'WPIE__FILE__' ) || exit;


class Dimensions {

        
        public static function getBlocks() {

                $dimensionsUnit = self::getUnit();

                return [
                        "title"  => __( 'Dimensions', 'wp-import-export' ),
                        "desc"   => __( 'Product Dimensions', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "dimensions" => [
                                        "order"      => 10,
                                        /* translators: %s: dimensions unit */
                                        "label"      => sprintf( __( 'Product dimensions ( %s)', 'wp-import-export' ), $dimensionsUnit ),
                                        "sub-fields" => [
                                                "length" => [
                                                        "description" => __( 'Length', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/length/data",
                                                        "type"        => "textarea",
                                                ],
                                                "width"  => [
                                                        "description" => __( 'Width', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/width/data",
                                                        "type"        => "textarea",
                                                ],
                                                "height" => [
                                                        "description" => __( 'Height', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/height/data",
                                                        "type"        => "textarea",
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
        
        
        public static function getUnit() {

                $unit = get_option( 'woocommerce_dimension_unit', 'cm' );

                if ( !class_exists( '\Automattic\WooCommerce\Utilities\I18nUtil' ) ) {
                        return $unit;
                }
                return I18nUtil::get_dimensions_unit_label( $unit );
        }

}
