<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\FacebookImage;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\FacebookTitle;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\FacebookDescription;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\TwitterImage;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\TwitterTitle;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social\TwitterDescription;

defined( 'WPIE__FILE__' ) || exit;


class Social implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Yoast SEO - Social', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-social-fields",
                        "order"  => 32.1,
                        "blocks" => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/social/facebook_title"       => FacebookTitle::getBlocks(),
                        "yoastseo/social/facebook_description" => FacebookDescription::getBlocks(),
                        "yoastseo/social/facebook_image"       => FacebookImage::getBlocks(),
                        "yoastseo/social/twitter_title"        => TwitterTitle::getBlocks(),
                        "yoastseo/social/twitter_description"  => TwitterDescription::getBlocks(),
                        "yoastseo/social/twitter_image"        => TwitterImage::getBlocks(),
                ];
        }
}
