<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema\PageType;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema\ArticleType;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/schema/page_type' ) ) {

                        $pageTypes = PageType::getPageType();

                        $input = DataCenter::get( "yoastseo/schema/page_type/data" );

                        $data[ 'schema_page_type' ] = self::find( $input, $pageTypes );
                }
                if ( DataCenter::canUpdate( 'yoastseo/schema/article_type' ) ) {

                        $articleTypes = ArticleType::getArticleType();

                        $input = DataCenter::get( "yoastseo/schema/article_type/data" );

                        $data[ 'schema_article_type' ] = self::find( $input, $articleTypes );
                }

                return $data;
        }

        
        private static function find( $input, $data ) {

                if ( isset( $data[ $input ] ) ) {
                        return $input;
                }
                if ( in_array( $input, $data ) ) {
                        return array_search( $input, $data );
                }

                $str = Helper::autoFixStr( $input, array_keys( $data ), 7 );

                if ( Helper::isNonEmptyStr( $str ) ) {
                        return $str;
                }

                $str = Helper::autoFixStr( $input, array_values( $data ), 7 );

                if ( Helper::isNonEmptyStr( $str ) ) {
                        return array_search( $str, $data );
                }
                return '';
        }
}
