<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema;

use Yoast\WP\SEO\Config\Schema_Types;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class PageType {

        
        public static function getBlocks( $pageTypes = [] ) {

                $choices = self::getPageType();

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"    => __( 'Page Type', 'wp-import-export' ),
                        "desc"     => __( 'Page Type', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "page-type" => [
                                        "order"      => 5,
                                        "label"      => __( 'Page Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "page-type" => [
                                                        "description"   => __( "SEO Schema Page Type", 'wp-import-export' ),
                                                        "name"          => "fields/yoastseo/schema/page_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "WebPage"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "page-type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "page-type" => [
                                                                                                "description" => __( 'All above seo schema page type are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/yoastseo/schema/page_type/data_as_specified",
                                                                                                "order"       => 5,
                                                                                                "type"        => "text",
                                                                                                "hint"        => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : WebPage', 'wp-import-export' ) ],
                                                                                                ]
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function getPageType() {

                $schema = new Schema_Types();

                $schemaType = $schema->get_page_type_options();

                unset( $schema );

                return Helper::isNonEmptyArray( $schemaType ) ? \wp_list_pluck( $schemaType, 'name', 'value' ) : [];
        }
}
