<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engine;

defined( 'WPIE__FILE__' ) || exit;


class General {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/general/title' ) ) {
                        $data[ Engine::PREFIX . 'title' ] = DataCenter::get( "yoastseo/general/title/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/metadesc' ) ) {
                        $data[ Engine::PREFIX . 'metadesc' ] = DataCenter::get( "yoastseo/general/metadesc/data" );
                }

                if ( DataCenter::canUpdate( 'yoastseo/general/noindex' ) ) {

                        $noindex = DataCenter::get( "yoastseo/general/noindex/data" );

                        $data[ Engine::PREFIX . 'noindex_author' ] = Helper::detectBoolVal( $noindex ) !== false ? 'on' : '';
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/seoanalysis' ) ) {

                        $seoanalysis = DataCenter::get( "yoastseo/general/seoanalysis/data" );

                        $data[ Engine::PREFIX . 'keyword_analysis_disable' ] = Helper::detectBoolVal( $seoanalysis ) !== false ? 'on' : '';
                }

                if ( DataCenter::canUpdate( 'yoastseo/general/readabilityanalysis' ) ) {

                        $readabilityanalysis = DataCenter::get( "yoastseo/general/readabilityanalysis/data" );

                        $data[ Engine::PREFIX . 'content_analysis_disable' ] = Helper::detectBoolVal( $readabilityanalysis ) !== false ? 'on' : '';
                }
                if ( DataCenter::canUpdate( 'yoastseo/general/inclusive_language_analysis_disable' ) ) {

                        $languageAnalysis = DataCenter::get( "yoastseo/general/inclusive_language_analysis_disable/data" );

                        $data[ Engine::PREFIX . 'inclusive_language_analysis_disable' ] = Helper::detectBoolVal( $languageAnalysis ) !== false ? 'on' : '';
                }

                return $data;
        }
}
