<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class WP {

        
        public static function get() {


                return [
                        "label" => __( 'WordPress', 'wp-import-export' ),
                        "order" => 20,
                        "data"  => [
                                'version'                => [
                                        'label' => __( 'Version', 'wp-import-export' ),
                                        'data'  => \get_bloginfo( 'version' )
                                ],
                                'site_language'          => [
                                        'label' => __( 'Site Language', 'wp-import-export' ),
                                        'data'  => \get_locale(),
                                ],
                                'user_language'          => [
                                        'label' => __( 'User Language', 'wp-import-export' ),
                                        'data'  => \get_user_locale(),
                                ],
                                'timezone'               => [
                                        'label' => __( 'Timezone', 'wp-import-export' ),
                                        'data'  => \wp_timezone_string(),
                                ],
                                'home_url'               => [
                                        'label' => __( 'Home URL', 'wp-import-export' ),
                                        'data'  => \get_bloginfo( 'url' ),
                                ],
                                'site_url'               => [
                                        'label' => __( 'Site URL', 'wp-import-export' ),
                                        'data'  => \get_bloginfo( 'wpurl' ),
                                ],
                                'permalink'              => [
                                        'label' => __( 'Permalink structure', 'wp-import-export' ),
                                        'data'  => \get_option( 'permalink_structure' ) ? \get_option( 'permalink_structure' ) : __( 'No permalink structure set' , 'wp-import-export'),
                                ],
                                'https_status'           => [
                                        'label' => __( 'Is this site using HTTPS?', 'wp-import-export' ),
                                        'data'  => \is_ssl(),
                                ],
                                'multisite'              => [
                                        'label' => __( 'Is this a multisite?', 'wp-import-export' ),
                                        'data'  => \is_multisite(),
                                ],
                                'user_registration'      => [
                                        'label' => __( 'Can anyone register on this site?', 'wp-import-export' ),
                                        'data'  => \get_option( 'users_can_register' ) ? true : false,
                                ],
                                'blog_public'            => [
                                        'label' => __( 'Is this site discouraging search engines?', 'wp-import-export' ),
                                        'data'  => \get_option( 'blog_public' ) ? false : true,
                                ],
                                'default_comment_status' => [
                                        'label' => __( 'Default comment status', 'wp-import-export' ),
                                        'data'  => 'open' === get_option( 'default_comment_status' ) ? __( 'Open', 'wp-import-export' ) : __( 'Closed', 'wp-import-export' ),
                                ],
                                'environment_type'       => [
                                        'label' => __( 'Environment type', 'wp-import-export' ),
                                        'data'  => \wp_get_environment_type(),
                                ],
                                'wp_cron'                => [
                                        'label' => __( 'Are WordPress cron jobs enabled?', 'wp-import-export' ),
                                        'data'  => !( defined( 'DISABLE_WP_CRON' ) && DISABLE_WP_CRON ),
                                ],
                        ]
                ];
        }

}
