<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Author implements InterfaceField {

        
        const FIELD_TYPE = "user";

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Author", 'wp-import-export' ),
                        "priority" => 50,
                        "data"     => [
                                [ 'label' => 'Author Name', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_author' ],
                                [ 'label' => 'Author Email', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_author_email' ],
                                [ 'label' => 'Author URL', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_author_url' ],
                                [ 'label' => 'Author IP', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_author_IP' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Comment/Fields/Author', $fields, Settings::getContentType() );
        }

}
