<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Parents implements InterfaceField {

        
        const FIELD_TYPE = "parent";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Parent", 'wp-import-export' ),
                        "priority" => 24,
                        "data"     => [
                                [ 'label' => 'Parent ID', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_parent' ],
                                [ 'label' => 'Parent Date', 'type' => self::FIELD_TYPE, 'element' => 'comment_date' ],
                                [ 'label' => 'Parent Content', 'type' => self::FIELD_TYPE, 'element' => 'comment_content' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Comment/Fields/Parent', $fields, Settings::getContentType() );
        }

}
