<?php




namespace WpieApp\Modules\Export\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Media;

defined( 'WPIE__FILE__' ) || exit;


class Attachment extends Media {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                
                $images = \apply_filters( 'Wpie/Export/Post/Attachment/Ids', self::getAttachedMedia(), Settings::getContentType() );

                return parent::getData( $images, $element );
        }

        
        private static function getAttachedMedia() {

                $args = [
                        'post_parent'    => DataCenter::getId(),
                        'post_type'      => 'attachment',
                        'posts_per_page' => -1,
                        'fields'         => 'ids',
                        'orderby'        => "ID",
                        'order'          => 'ASC'
                ];

                return \get_children( $args );
        }

}
