<?php



namespace WpieApp\Modules\Export\View\Setup;

defined( 'WPIE__FILE__' ) || exit;


class FileOptions {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/FileOptions',
                        [
                                "title"  => __( 'File Options', 'wp-import-export' ),
                                "desc"   => __( 'Manage Export File', 'wp-import-export' ),
                                "order"  => 50,
                                "fields" => [
                                        "format"        => [
                                                "order"      => 20,
                                                "label"      => __( 'Export File Format', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "format" => [
                                                                "description" => __( 'Default : CSV', 'wp-import-export' ),
                                                                "class"       => "wpie-file-format ",
                                                                "type"        => "radio",
                                                                "name"        => "options/file/format",
                                                                "inline"      => true,
                                                                "field-class" => "me-xl-4 pe-xl-4",
                                                                "default"     => "csv",
                                                                "choices"     => [
                                                                        "csv"  => __( "CSV", 'wp-import-export' ),
                                                                        "xls"  => __( "XLS", 'wp-import-export' ),
                                                                        "xlsx" => __( "XLSX", 'wp-import-export' ),
                                                                        "xml"  => __( "XML", 'wp-import-export' ),
                                                                        "ods"  => __( "ODS", 'wp-import-export' ),
                                                                        "json" => __( "JSON", 'wp-import-export' ),
                                                                ]
                                                        ]
                                                ],
                                        ],
                                        "csv-delimiter" => [
                                                "order"         => 20,
                                                "label"         => __( 'CSV Delimiter', 'wp-import-export' ),
                                                "wrapper-class" => "wpie-file-settings-options wpie-file-settings-options-csv",
                                                "sub-fields"    => [
                                                        "csv-delimiter" => [
                                                                "description" => __( 'Specify CSV Field Separator', 'wp-import-export' ),
                                                                "class"       => "wpie-csv-delimiter",
                                                                "type"        => "text",
                                                                "name"        => "options/file/delimiter",
                                                                "hint"        => [
                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Default : , (Comma)', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ],
                                        ],
                                        "filename"      => [
                                                "order"      => 30,
                                                "label"      => __( 'Custom File Name', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "filename" => [
                                                                "description" => __( 'Specify Export Custom File name', 'wp-import-export' ),
                                                                "name"        => "options/file/name",
                                                                "class"       => "wpie-file-custom-name",
                                                                "type"        => "text",
                                                                "hint"        => [
                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Default : Auto Generated', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ],
                                        ],
                                        "extra-copy"    => [
                                                "order"      => 30,
                                                "label"      => __( 'Extra Copy', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "extra-copy" => [
                                                                 "description" => __( 'Create an extra copy in the temp directory', 'wp-import-export' ),
                                                                "class"   => "wpie-file-extra-copy",
                                                                "type"    => "checkbox",
                                                                "name"    => "options/file/extra-copy",
                                                                "default" => [],
                                                                "choices" => [
                                                                        "1" => __( "Create extra copy", 'wp-import-export' ),
                                                                ],
                                                                "hint"    => [
                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Automatically replace the file every time', 'wp-import-export' ) ],
                                                                        [ 'text' => WPIE_UPLOAD_DIR_URL . '/temp/<strong class="wpie-file-extra-copy-data text-dark">FILENAME</strong>', 'class' => 'text-primary' ],
                                                                        [ 'text' => sprintf( __( 'Replace %s in the URL with the actual exported filename', 'wp-import-export' ), '<strong class="text-dark">FILENAME</strong>' ) ],
                                                                        [ 'text' => __( 'Useful when syncing exported data with import', 'wp-import-export' ) ],
                                                                ]
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
