<?php



namespace WpieApp\Modules\Import\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class AutoSearch {

        
        protected static $fields = [];

        
        protected static $options = [];

        
        protected static $args = [];

        
        public static function get( $field = '', $options = [] ) {

                static::$options = $options;

                $searchField = ('id' === $field) ? [] : [ [ 'key' => 'search/' . $field ] ];

                $fields = (Helper::isNonEmptyStr( $field ) && isset( static::$fields[ $field ] ) ? [ $field => array_merge( $searchField, static::$fields[ $field ] ) ] : static::$fields);

                return static::search( $fields );
        }

        
        protected static function search( $fields = [] ) {

                if ( !static::generate( $fields ) ) {
                        return 0;
                }

                $id = static::tryOR();

                if ( (!Helper::isNonEmptyArray( $id )) || ( is_numeric( $id ) && 1 > $id) ) {

                        $newId = static::tryAND();

                        $id = ( is_array( $newId ) || ( is_numeric( $newId ) && 0 < $newId)) ? $newId : $id;
                }
                return is_array( $id ) && isset( $id[ 0 ] ) ? $id[ 0 ] : 0;
        }

        
        protected static function generate( $fields = [] ) {

                static::$args = [];

                foreach ( $fields as $key => $field ) {

                        $value = static::getFieldValue( $field );

                        if ( !Helper::isNonEmptyStr( $value ) ) {
                                continue;
                        }

                        $options = isset( $field[ 'options' ] ) && Helper::isNonEmptyArray( $options ) ? $field[ 'options' ] : [];

                        static::$args[] = array_replace( $options, [ "key" => $key, "value" => $value ] );
                }

                return count( static::$args ) > 0;
        }

        
        protected static function tryOR() {

                $args = [];

                foreach ( static::$args as $arg ) {

                        $arg[ 'relation' ] = 'or';

                        $args[] = $arg;
                }


                return static::runQuery( $args );
        }

        
        protected static function tryAND() {

                if ( 1 === count( static::$args ) ) {
                        return 0;
                }

                $args = [];

                for ( $i = 0; $i < count( static::$args ); $i++ ) {

                        for ( $j = $i + 1; $j < count( static::$args ); $j++ ) {

                                $args[] = [ 'args' => [ static::$args[ $i ], static::$args[ $j ] ], 'relation' => 'OR' ];
                        }
                }

                return static::runQuery( $args );
        }

        
        protected static function runQuery( $args = [] ) {

                return 0;
        }

        
        protected static function getFieldValue( $fields = [] ) {

                $data = '';

                foreach ( $fields as $field ) {

                        $fieldKey = isset( $field[ 'key' ] ) ? $field[ 'key' ] : '';

                        $isMappingData = isset( $field[ 'isMappingData' ] ) ? $field[ 'isMappingData' ] : true;

                        $fieldData = '';

                        if ( $isMappingData ) {

                                $canUpdate = isset( $field[ 'canUpdate' ] ) ? $field[ 'canUpdate' ] : '';

                                if ( !Helper::isNonEmptyStr( $canUpdate ) || DataCenter::canUpdate( $canUpdate ) ) {
                                        $fieldData = DataCenter::get( $fieldKey );
                                }
                        } else {
                                $fieldData = DataCenter::getFileData( $fieldKey );
                        }

                        if ( Helper::isNonEmptyStr( $fieldData ) ) {
                                $data = $fieldData;
                                break;
                        }
                }

                return $data;
        }
}
