<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;
use WpieApp\Modules\Import\Controller\Items\User\Search\User;

defined( 'WPIE__FILE__' ) || exit;


class Extra {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "extra/karma" ) ) {
                        $data[ "comment_karma" ] = DataCenter::get( "extra/karma/data" );
                }

                if ( DataCenter::canUpdate( "extra/agent" ) ) {
                        $agent                   = DataCenter::get( "extra/agent/data" );
                        $data[ "comment_agent" ] = Helper::isNonEmptyStr( $agent ) ? substr( $agent, 0, 254 ) : '';
                }
                if ( DataCenter::canUpdate( "extra/user_id" ) ) {
                        $data[ "user_id" ] = self::getUserId();
                }

                return $data;
        }

        
        public static function getUserId() {

                $data = DataCenter::get( "extra/user_id/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }

                $query = [ [ "args" => [
                                        [ "key" => "login", "value" => $data, 'relation' => 'OR' ],
                                        [ "key" => "id", "value" => $data, 'relation' => 'OR', 'is_int' => true, 'conditions' => [ 'positive_number_only' ] ],
                                        [ "key" => "email", "value" => $data, 'relation' => 'OR' ]
                                ] ]
                ];

                return User::search( $query );
        }

}
