<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Meta;
use WpieApp\Modules\Import\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Fields/Init', $type );

                
                self::$data = \apply_filters( 'Wpie/Import/Comment/Fields', static::getFields(), $type );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard" => Standard::get(),
                        "post"     => Post::get(),
                        "author"   => Author::get(),
                        "extra"    => Extra::get(),
                        "meta"     => Meta::get(),
                ];
        }

}
