<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Approved {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Approved', 'wp-import-export' ),
                        "desc"          => __( 'Approved', 'wp-import-export' ),
                        "order"         => 60,
                        "isRecommended" => true,
                        "fields"        => [
                                "approved" => [
                                        "order"      => 10,
                                        "label"      => __( 'Approved', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "approved" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'Whether the %s has been approved. Default : Yes', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/approved/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
