<?php



namespace WpieApp\Modules\Import\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect\Image;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function setDefaults() {

                Image::setDefaults();

                Image::setDefaults( 'attachments' );
        }

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateUser( $field );

                Image::update( $field );

                Image::update( $field, 'attachments' );
        }

        
        protected static function processExtra() {
                static::updateTaxonomies();
        }

        
        protected static function DiscoverAlternative() {
                AutoDetectAlternative::init();
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'title'         => 'title',
                        'content'       => 'content',
                        'excerpt'       => 'excerpt',
                        'date'          => 'date',
                        'slug'          => 'slug',
                        'commentstatus' => 'comment_status',
                        'pingstatus'    => 'ping_status',
                        'order'         => 'menu_order',
                        'status'        => 'post_status',
                        'parent'        => 'post_parent',
                        'password'      => 'post_password',
                        'format'        => 'post_format',
                        'issticky'      => 'stick_post',
                        'template'      => 'page_template',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateUser( $field = "" ) {

                if ( $field !== "authoremail" ) {
                        return;
                }
                static::update( 'user/author', $field );
        }

        
        protected static function updateTaxonomies() {

                $taxonomies = static::getSiteFieldData( 'taxonomy' );

                if ( !Helper::isNonEmptyArray( $taxonomies ) ) {
                        return;
                }

                foreach ( $taxonomies as $data ) {

                        $taxonomy = isset( $data[ 'element' ] ) ? $data[ 'element' ] : '';

                        $label = isset( $data[ 'label' ] ) ? Helper::sanitizeKey( $data[ 'label' ] ) : '';

                        if ( !Helper::isNonEmptyStr( $label ) || !in_array( $label, static::$labels ) ) {
                                continue;
                        }

                        static::update( 'taxonomy/' . $taxonomy, $label );
                }
        }
}
