<?php



namespace WpieApp\Modules\Import\Controller\Items\Post;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Image;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Attachment;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Meta;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Taxonomy;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Author;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;
use WpieApp\Modules\Import\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Post/Fields/Init', $type );

                
                self::$data = \apply_filters( 'Wpie/Import/Post/Fields', parent::get(), $type );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard"   => Standard::get(),
                        "meta"       => Meta::get(),
                        "taxonomy"   => Taxonomy::get(),
                        "image"      => Image::get(),
                        "attachment" => Attachment::get(),
                        "author"     => Author::get(),
                        "other"      => Other::get()
                ];
        }
}
