<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Fields;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard\Name;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard\Slug;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard\Description;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Term/Fields/Standard', static::getFields(), Settings::getTaxonomy() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/name"        => Name::getBlocks(),
                                "standard/slug"        => Slug::getBlocks(),
                                "standard/description" => Description::getBlocks(),
                        ]
                ];
        }

}
