<?php



namespace WpieApp\Modules\Import\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Search\User;
use WpieApp\Modules\Import\Controller\Items\Base\AutoSearch as BaseAutoSearch;

defined( 'WPIE__FILE__' ) || exit;


class AutoSearch extends BaseAutoSearch {

        
        protected static $fields = [
                'login' => [ [
                                'key'       => 'standard/login/data',
                                'canUpdate' => 'standard/login',
                        ], [
                                'key'           => '{username}',
                                'isMappingData' => false
                        ], [
                                'key'           => '{login}',
                                'isMappingData' => false
                        ],
                ],
                'email' => [ [
                                'key'       => 'standard/email/data',
                                'canUpdate' => 'standard/email',
                        ], [
                                'key'           => '{email}',
                                'isMappingData' => false
                        ],
                ],
                'id'    => [ [
                                'key'           => 'search/id',
                                'isMappingData' => true,
                                'options'       => [
                                        'is_int'     => true,
                                        'conditions' => [ 'positive_number_only' ]
                                ]
                        ],
                ]
        ];

        
        protected static function search( $fields = [] ) {

                if ( !self::generate( $fields ) ) {
                        return 0;
                }

                return self::tryOR();
        }

        
        protected static function runQuery( $args = [] ) {

                return User::Search( [ [ "args" => $args ] ] );
        }

}
