<?php



namespace WpieApp\Modules\Import\View\FileSettings;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get( $postType = "Post" ) {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSettings',
                        [
                                "class"      => "wpie-file-settings wpie-hide",
                                "groupClass" => "wpie-file-setup",
                                "order"      => 5,
                                "notes"      => self::getNotes(),
                                "blocks"     => [
                                        "preview"       => Preview::getBlocks(),
                                        "file-settings" => FileSettings::getBlocks(),
                                        "filter"        => Filter::getBlocks(),
                                        "settings"      => Settings::getBlocks(),
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Notes',
                        [
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => 'me-3',
                                        "text"       => __( 'Feel free to skip this step if the preview looks right. The plugin will take care of everything automatically', 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
