<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class URL {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/URL',
                        [
                                "title"  => __( 'From URL', 'wp-import-export' ),
                                "desc"   => __( 'Download file from URL', 'wp-import-export' ),
                                "order"  => 30,
                                "notes"  => self::getNotes(),
                                "fields" => [
                                        "download-file" => [
                                                "order"      => 5,
                                                "label"      => __( 'File URL', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "url"           => [
                                                                "order" => 5,
                                                                "type"  => "textarea",
                                                                "description"	 => __( 'Link to the downloadable file', 'wp-import-export' ),
                                                                "class" => "wpie-file-url",
                                                                "hint"  => [
                                                                        [ 'text' => __( 'The file must exist and be accessible through the provided URL', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'The file will be downloaded directly from the provided URL', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Ensure the URL starts with either http:// or https://', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Example : http://example.com/sample.csv', 'wp-import-export' ), ],
                                                                ]
                                                        ],
                                                        "submit-button" => [
                                                                "order"      => 120,
                                                                "type"       => "button",
                                                                "label"      => __( 'Download', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-cloud-arrow-down",
                                                                "class"      => "wpie-download-from-url-btn btn-primary",
                                                        ]
                                                ],
                                        ]
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/URL/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the download from url documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading a file from a URL',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-a-file-from-a-url' )
                                        )
                                ]
                        ]
                );
        }
}
