<?php



namespace WpieApp\Modules\Security\View\Security;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Menu;

defined( 'WPIE__FILE__' ) || exit;


class UserRoleAccess {

        
        public static function getBlocks() {

                if ( function_exists( "\wp_roles" ) ) {
                        $roles = \wp_roles()->get_names();
                } else {
                        global $wp_roles;
                        $roles = $wp_roles->get_names();
                }

                if ( isset( $roles[ 'administrator' ] ) ) {
                        unset( $roles[ 'administrator' ] );
                }

                $permissions = Menu::getCapabilities();
                if ( isset( $permissions[ 'wpie-pro' ] ) ) {
                        unset( $permissions[ 'wpie-pro' ] );
                }
                
                return \apply_filters(
                        'Wpie/Modules/Security/View/RobotTxt',
                        [
                                "title"  => __( 'User Role Access', 'wp-import-export' ),
                                "order"  => 20,
                                "desc"   => __( 'User Role Plugin Access', 'wp-import-export' ),
                                "fields" => [
                                        "user-role" => [
                                                "order"      => 10,
                                                "label"      => __( 'Add User role Access', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "user-roles"    => [
                                                                "type"        => "select",
                                                                "order"       => 10,
                                                                "class"       => "wpie-user-roles",
                                                                "default"     => "",
                                                                "placeholder" => __( 'Please Select User role', 'wp-import-export' ),
                                                                "choices"     => $roles,
                                                                "description" => __( 'Add permission to user roles. single role have multiple users in site', 'wp-import-export' ),
                                                        ],
                                                        "permissions"   => [
                                                                "type"      => "checkbox",
                                                                "order"     => 20,
                                                                "class"     => "wpie-user-role-permissions",
                                                                "is-switch" => true,
                                                                "default"   => [],
                                                                "choices"   => $permissions
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save Access', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-user-role-access-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
