<?php




namespace WpieApp\Providers;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Cron {

        
        public static function init() {

                self::update();

                self::initTasks();

                self::update();

                Helper::ajaxSuccess(__( 'All tasks has been completed', 'wp-import-export' ));
        }

        
        public static function isValidRequest() {

                // Nothing to do if WordPress is in "installation" mode..
                if ( !self::isDoingCron() ) {
                        return false;
                }

                // Nothing to do if Other Ajax Request.
                if ( Helper::_get( 'wpie-token' ) !== Helper::getOption( 'cron-token' ) ) {
                        return false;
                }

                return true;
        }

        
        public static function isDoingCron() {
                return function_exists( '\wp_doing_cron' ) ? \wp_doing_cron() : (defined( 'DOING_CRON' ) && DOING_CRON);
        }

        
        private static function initTasks() {

                $findCronClasses = glob( WPIE_MODULES_DIR . '/*/Cron.php' );

                $modulesDir = str_replace( '\\', '/', realpath( WPIE_MODULES_DIR ) );

                foreach ( $findCronClasses as $cronClass ) {
                        $cronClass = str_replace( '\\', '/', realpath( $cronClass ) );

                        if ( strpos( $cronClass, $modulesDir ) !== 0 ) {
                                continue;
                        }
                        $getModuleName = substr( $cronClass, strlen( rtrim( $modulesDir, '/' ) ) + 1 );
                        $getModuleName = explode( '/', $getModuleName );

                        $moduleName = $getModuleName[ 0 ];

                        $cronClassName = "\\WpieApp\\Modules\\{$moduleName}\\Cron";

                        if ( !class_exists( $cronClassName ) || !\method_exists( $cronClassName, "init" ) ) {
                                continue;
                        }

                        $cronClassName::init();
                }
        }

        
        public static function update() {

                Helper::setOption( 'last-cron', time() );
        }

}
